For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all residents
        • GETGet a resident by ID
        • POSTCreate Resident: Propertyware SOAP - Not Supported
        • PUTUpdate Resident: Propertyware
        • POSTCreate Resident File: Propertyware
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Propertyware SOAPResidents

Create Resident: Propertyware SOAP - Not Supported

POST
/v1/residents/propertyware/
POST
/v1/residents/propertyware/
$curl -X POST https://api.propexo.com/v1/residents/propertyware/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
Propertyware SOAP does not support creating a resident via their API. This endpoint will always return a 405, with an error message specifying that creating a resident in a Propertyware SOAP integration is not supported due to the lack of upstream support.
Was this page helpful?
Previous

Update Resident: Propertyware

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.

Response

Successful response

Errors

400
Bad Request Error